# SdFat: Arduino/libraries/SdFat/ostream.h File Reference

ostream.h File Reference

ostream class More...

`#include <ios.h>`
Include dependency graph for ostream.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | ostream
| Output Stream. More...
struct | pgm
| type for string in flash More...

## Macros

#define | pstr(str) pgm(PSTR(str))

## Detailed Description

ostream class

## Macro Definition Documentation

#define pstr | ( |  | str | ) | pgm(PSTR(str))

macro for flash inserter